Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 580755

Summary: Review Request: yad - Display graphical dialogs from shell scripts or command line
Product: [Fedora] Fedora Reporter: Damien Durand <splinux25>
Component: Package ReviewAssignee: Christoph Wickert <cwickert>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cwickert, eldermarco, fedora-package-review, notting
Target Milestone: ---Flags: cwickert: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-16 14:43:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449    

Description Damien Durand 2010-04-08 23:44:36 UTC
Spec URL: http://splinux.fedorapeople.org/yad/yad.spec
SRPM URL: http://splinux.fedorapeople.org/yad/yad-0.2.0-1.fc13.src.rpm

Description: yad (yet another dialog) is a fork of Zenity with many improvements, 
such as custom buttons, additional dialogs, pop-up menu in notification icon 
and more.

Comment 1 Christoph Wickert 2010-04-09 22:24:57 UTC
FIX - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/yad-*
yad.src: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s, dialings
yad.src: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
yad.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
yad.src: W: invalid-url Source0: http://yad.googlecode.com/files/yad-0.2.0.tar.bz2 HTTP Error 404: Not Found
yad.x86_64: W: spelling-error Summary(en_US) dialogs -> dialog, dialog s, dialings
yad.x86_64: W: spelling-error %description -l en_US dialogs -> dialog, dialog s, dialings
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

The spelling errors can be ignored, "dialogs" is the correct pluram form in American English.
The source URL is valid, tested with spectool
This leaves the mixed-use-of-spaces-and-tabs warning, which is trivial but should IMO be fixed.

OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines
?? - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 51cbf09fb8e6d92f0fca6c4ac1d5b890
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application but it is not supposed to be calles from the menu, so no %{name}.desktop file is required.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete


Issues:
- What license is this? COPYING is GPLv3, but about.c says it's GPLv2+
- The manpage should not have .gz as extension because we might switch to bz2 or lzma compressed manpages some day
- Please fix the mixed-use-of-spaces-and-tabs warning.

The only blocker is the license. If you clarify this with upstream, I will approve the package.

Comment 2 Christoph Wickert 2010-05-09 14:35:14 UTC
Any news on this?

Comment 3 Christoph Wickert 2010-05-11 22:52:26 UTC
BTW: 0.2.1 is out.

Comment 4 Christoph Wickert 2010-07-11 09:17:19 UTC
Meanwhile 0.3.0 is out and the license question is answered, all files are GPLv3+ now. Please update your package so I can have a look over it.

If I don't hear back within two weeks, I will close this review.

Comment 5 Christoph Wickert 2010-07-16 14:43:43 UTC
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews I'm now closing this review request.

Comment 6 Elder Marco 2011-03-10 12:47:00 UTC
Hello Christoph,

I'm sorry, I created a new review request for this package: 

https://bugzilla.redhat.com/show_bug.cgi?id=683150

Should I mark it as a duplicate of this bug? Can you review it? This is my first package..

Thanks.

Comment 7 Christoph Wickert 2011-06-26 23:38:38 UTC

*** This bug has been marked as a duplicate of bug 683150 ***